cURL
curl --request POST \ --url https://public-api.sessionboard.com/v1/event/{eventId}/session-statuses \ --header 'Content-Type: application/json' \ --header 'x-access-token: <api-key>' \ --data ' { "filters": { "createdAt": { "before": "2023-11-07T05:31:56Z", "after": "2023-11-07T05:31:56Z" }, "updatedAt": { "before": "2023-11-07T05:31:56Z", "after": "2023-11-07T05:31:56Z" }, "status": "accepted" }, "sort": { "order": "createdAt", "sort": "asc" }, "expand": [ "<string>" ] } '
{ "data": [ { "id": "<string>", "name": "<string>", "status": "<string>", "status_name": "<string>", "color": "<string>", "order": 123, "is_custom": true, "created_at": "<string>", "created_by_user_id": 123, "created_by_user_name": "<string>" } ], "pagination": { "currentPage": 123, "pageSize": 123, "totalPages": 123, "totalResults": 123 } }
Returns a paginated list of custom session status definitions for an event.
API key for authentication. Obtain from the Sessionboard admin dashboard.
The event ID.
Page number for pagination.
1 <= x <= 999
Number of results per page.
1 <= x <= 100
Common search request body used across multiple endpoints.
Show child attributes
Sorting options for search results.
Expand records with additional data. Possible values: translated_fields
OK
Pagination metadata returned with list responses.